summaryrefslogtreecommitdiff
path: root/glpk-5.0/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'glpk-5.0/autogen.sh')
-rwxr-xr-xglpk-5.0/autogen.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/glpk-5.0/autogen.sh b/glpk-5.0/autogen.sh
new file mode 100755
index 0000000..4dd02fb
--- /dev/null
+++ b/glpk-5.0/autogen.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+########################################################################
+# Run this script on the top level of GLPK directory to regenerate the
+# configure script and the Makefiles from templates.
+#
+# NOTE: You need to have GNU autotools installed.
+########################################################################
+
+set -e
+
+test -f configure.ac || {
+ echo "You should run this script on the top level of GLPK directory."
+ exit
+}
+
+echo "Executing libtoolize..."
+libtoolize -c -f
+echo "Executing aclocal..."
+aclocal -I m4
+echo "Executing autoconf..."
+autoconf
+echo "Executing automake..."
+automake -c -a
+echo "Done."
+
+echo "See file INSTALL for installation instructions."